AnsweredAssumed Answered

Custom field "creates" a warning in PHP 7.1

Question asked by Kristjan Mathiesen on Jun 20, 2018
Latest reply on Jun 26, 2018 by Kristjan Mathiesen

Hi

We´ve have created a highligh custom field (as mentioned Custom field: highlighted text not working right ) in our Sugar 7.8.x with PHP 5.6.  However, after upgrading to Sugar 7.9.4 and PHP 7.1, we get this warning:

 

PHP Warning:  Declaration of SugarFieldHighlightfield::save(&$bean,

$params, $field, $properties, $prefix = '') should be compatible with SugarFieldBase::save($bean, $params, $field, $properties, $prefix = '') in /var/www/<our_path>/custom/include/SugarFields/Fields/Highlightfield/SugarFieldHighlightfield.php

on line 15

 

Does someone know what needs to change and where to get rid of this warning?

Or is this warning "ok"?

 

Thanks,

KGM

Outcomes